Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ValueDomainPropertyBundle

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.ApplicationObject
                          oracle.ifs.beans.TieApplicationObject
                              oracle.ifs.beans.PropertyBundle
                                  oracle.ifs.beans.TiePropertyBundle
                                      oracle.ifs.beans.ValueDomainPropertyBundle

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieValueDomainPropertyBundle

    public class ValueDomainPropertyBundle

extends TiePropertyBundle

A ValueDomainPropertyBundle is a PropertyBundle containing a valid definition of a ValueDomain.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `DOMAINTYPE_ATTRIBUTE` The type of value domain -- enumeration, range, minimum, maximum, exclusive range, exclusive minimum, or exclusive maximum.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `ValueDomainPropertyBundle(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Internal use only: Constructs a ValueDomainPropertyBundle.

Method Summary
`protected static ValueDomainPropertyBundle` | `constructValueDomainPropertyBundle(LibrarySession session, S_LibraryObjectData data)` Internal use only: Constructs a ValueDomainPropertyBundle for the specified data.
`int` | `getDomainType()` Gets the domain type of this ValueDomainPropertyBundle.
`java.lang.String` | `getDomainTypeLabel()` Gets the localized String label for the domain type set for this instance.
`AttributeValue` | `getPropertyValue()` Gets the values allowed for this ValueDomainPropertyBundle, as an array-type AttributeValue.
`void` | `setEnumeratedValue(AttributeValue av)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(java.util.Date[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(DirectoryObject[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(int[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(java.lang.Integer[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(long[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(java.lang.Long[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(PublicObject[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(SchemaObject[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(java.lang.String[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(SystemObject[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(java.util.Date maximum)` Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(double maximum)` Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(java.lang.Double maximum)` Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(int maximum)` Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(java.lang.Integer maximum)` Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(long maximum)` Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(java.lang.Long maximum)` Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(java.util.Date minimum)` Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(double minimum)` Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(java.lang.Double minimum)` Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(int minimum)` Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(java.lang.Integer minimum)` Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(long minimum)` Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(java.lang.Long minimum)` Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(java.util.Date minimum, java.util.Date maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(double minimum, double maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(java.lang.Double minimum, java.lang.Double maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(java.lang.Integer minimum, java.lang.Integer maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(int minimum, int maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(long minimum, long maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(java.lang.Long minimum, java.lang.Long maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setMaximumValue(java.util.Date maximum)` Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMaximumValue(double maximum)` Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMaximumValue(java.lang.Double maximum)` Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMaximumValue(int maximum)` Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMaximumValue(java.lang.Integer maximum)` Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMaximumValue(long maximum)` Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMaximumValue(java.lang.Long maximum)` Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMinimumValue(java.util.Date minimum)` Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMinimumValue(double minimum)` Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMinimumValue(java.lang.Double minimum)` Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMinimumValue(int minimum)` Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMinimumValue(java.lang.Integer minimum)` Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMinimumValue(long minimum)` Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMinimumValue(java.lang.Long minimum)` Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setValueRange(java.util.Date minimum, java.util.Date maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setValueRange(double minimum, double maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setValueRange(java.lang.Double minimum, java.lang.Double maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setValueRange(java.lang.Integer minimum, java.lang.Integer maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setValueRange(int minimum, int maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setValueRange(long minimum, long maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setValueRange(java.lang.Long minimum, java.lang.Long maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.

Methods inherited from class oracle.ifs.beans.PropertyBundle
`applyProperties, constructEquivalentParameterTable, constructEquivalentParameterTable, constructEquivalentParameterTable, constructPropertyBundle, constructPropertyBundleVector, getProperties, getProperties, getProperty, getPropertyByUpperCaseName, getPropertyValue, getPropertyValueByUpperCaseName, getPropertyValues, putPropertyValue, putPropertyValue, removeAllPropertyValues, removePropertyValue, resetProperties, vectorPropertyBundleElement, vectorToPropertyBundleArray`

Methods inherited from class oracle.ifs.beans.ApplicationObject
`constructApplicationObject, constructApplicationObjectVector`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postCreate, postUpdate, preCopy, preCreate, preFree, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `ValueDomainPropertyBundle`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### DOMAINTYPE_ATTRIBUTE

    public static final java.lang.String DOMAINTYPE_ATTRIBUTE

  Description copied from class: `ValueDomainPropertyBundle`
  The type of value domain -- enumeration, range, minimum, maximum, exclusive range, exclusive minimum, or exclusive maximum.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### ValueDomainPropertyBundle

    protected ValueDomainPropertyBundle(LibrarySession session,
                                        java.lang.Long id,
                                        java.lang.Long classId,
                                        S_LibraryObjectData data)
                                 throws IfsException

  Internal use only: Constructs a ValueDomainPropertyBundle.

  For internal use only. Do not use this method. To create a ValueDomainPropertyBundle, invoke `LibrarySession.createPublicObject`

  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setEnumeratedValues

    public final void setEnumeratedValues(int[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have an `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValues

    public final void setEnumeratedValues(java.lang.Integer[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have an `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValues

    public final void setEnumeratedValues(long[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValues

    public final void setEnumeratedValues(java.lang.Long[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValues

    public final void setEnumeratedValues(java.lang.String[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `STRING` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValues

    public final void setEnumeratedValues(java.util.Date[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValues

    public final void setEnumeratedValues(SchemaObject[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `SCHEMAOBJECT` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValues

    public final void setEnumeratedValues(SystemObject[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `SYSTEMOBJECT` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValues

    public final void setEnumeratedValues(PublicObject[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `PUBLICOBJECT` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValues

    public final void setEnumeratedValues(DirectoryObject[] values)
                                   throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DIRECTORYOBJECT` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnumeratedValue

    public final void setEnumeratedValue(AttributeValue av)
                                  throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the allowed values for this ValueDomainPropertyBundle.

  Parameters:
    `av` - the the array of allowed values, wrapped in an AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValueRange

    public final void setValueRange(int minimum,
                                    int maximum)
                             throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValueRange

    public final void setValueRange(java.lang.Integer minimum,
                                    java.lang.Integer maximum)
                             throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValueRange

    public final void setValueRange(long minimum,
                                    long maximum)
                             throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValueRange

    public final void setValueRange(java.lang.Long minimum,
                                    java.lang.Long maximum)
                             throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValueRange

    public final void setValueRange(double minimum,
                                    double maximum)
                             throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValueRange

    public final void setValueRange(java.lang.Double minimum,
                                    java.lang.Double maximum)
                             throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValueRange

    public final void setValueRange(java.util.Date minimum,
                                    java.util.Date maximum)
                             throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMinimumValue

    public final void setMinimumValue(int minimum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMinimumValue

    public final void setMinimumValue(java.lang.Integer minimum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMinimumValue

    public final void setMinimumValue(long minimum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMinimumValue

    public final void setMinimumValue(java.lang.Long minimum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMinimumValue

    public final void setMinimumValue(double minimum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMinimumValue

    public final void setMinimumValue(java.lang.Double minimum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMinimumValue

    public final void setMinimumValue(java.util.Date minimum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMaximumValue

    public final void setMaximumValue(int maximum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMaximumValue

    public final void setMaximumValue(java.lang.Integer maximum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMaximumValue

    public final void setMaximumValue(long maximum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMaximumValue

    public final void setMaximumValue(java.lang.Long maximum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMaximumValue

    public final void setMaximumValue(double maximum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMaximumValue

    public final void setMaximumValue(java.lang.Double maximum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMaximumValue

    public final void setMaximumValue(java.util.Date maximum)
                               throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveValueRange

    public final void setExclusiveValueRange(int minimum,
                                             int maximum)
                                      throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveValueRange

    public final void setExclusiveValueRange(java.lang.Integer minimum,
                                             java.lang.Integer maximum)
                                      throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveValueRange

    public final void setExclusiveValueRange(long minimum,
                                             long maximum)
                                      throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveValueRange

    public final void setExclusiveValueRange(java.lang.Long minimum,
                                             java.lang.Long maximum)
                                      throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveValueRange

    public final void setExclusiveValueRange(double minimum,
                                             double maximum)
                                      throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveValueRange

    public final void setExclusiveValueRange(java.lang.Double minimum,
                                             java.lang.Double maximum)
                                      throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveValueRange

    public final void setExclusiveValueRange(java.util.Date minimum,
                                             java.util.Date maximum)
                                      throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(int minimum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(java.lang.Integer minimum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(long minimum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(java.lang.Long minimum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(double minimum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(java.lang.Double minimum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(java.util.Date minimum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(int maximum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(java.lang.Integer maximum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(long maximum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(java.lang.Long maximum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(double maximum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(java.lang.Double maximum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(java.util.Date maximum)
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDomainType

    public final int getDomainType()
                            throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Gets the domain type of this ValueDomainPropertyBundle.

  Returns:
    the domain type
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDomainTypeLabel

    public java.lang.String getDomainTypeLabel()
                                        throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Gets the localized String label for the domain type set for this instance.

  Returns:
    the label corresponding to the domain type
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getPropertyValue

    public AttributeValue getPropertyValue()
                                    throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Gets the values allowed for this ValueDomainPropertyBundle, as an array-type AttributeValue.

  The number of elements in the array-type AttributeValue depends on the domain type of this ValueDomainPropertyBundle:

  - `VALUEDOMAINTYPE_ENUMERATED`: one element for each allowed value
  - `VALUEDOMAINTYPE_RANGE` or `VALUEDOMAINTYPE_ENUMERATED_RANGE`: two elements; [0] is the minimum and [1] is the maximum value
  - `VALUEDOMAINTYPE_MINIMUM` or `VALUEDOMAINTYPE_ENUMERATED_MINIMUM`: one element; [0] is the minimum value
  - `VALUEDOMAINTYPE_MAXIMUM` or `VALUEDOMAINTYPE_ENUMERATED_MAXIMUM`: one element; [0] is the maximum value

  Returns:
    the values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### constructValueDomainPropertyBundle

    protected static ValueDomainPropertyBundle constructValueDomainPropertyBundle(LibrarySession session,
                                                                                  S_LibraryObjectData data)
                                                                           throws IfsException

  Description copied from class: `ValueDomainPropertyBundle`
  Internal use only: Constructs a ValueDomainPropertyBundle for the specified data.

  For internal use only. Do not use this method.

  Parameters:
    `session` - the session
    `data` - the data
  Returns:
    the ValueDomainPropertyBundle
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD